% add new element with given priority to queue

% KFB 01/26/03, 03/14/03
function dqueue_push(element,priority)

global QUEUE;

if priority<1, error('DQUEUE: priority out of range'); end;
l = length(QUEUE.index);
if priority>l, 
    % make sure that QUEUE struct has sufficient number of entries
    QUEUE.index(priority) = 1;
    QUEUE.element{priority} = element;  
else 
    QUEUE.index(priority) = QUEUE.index(priority)+1;
    QUEUE.element{priority} = [QUEUE.element{priority} element];
end

% fprintf(1,'>');
% dqueue_show;
% dqueue_viz(element,priority,1,1);