% add new element to node list

% KFB 3/22/03
function nodelist_add(element)

global NODELIST;

NODELIST.element = [NODELIST.element {element}];
c = element.node;

% the following assumes that the new node is a list of coordinates into an MxN array 
% calculate a unique identifier for coordinates
% (this is a very clumsy implementation)
global FIELD;
s = size(FIELD);  M = s(1);  N = s(2);
switch size(c,2)
case 1, code = sub2ind([M N], c(1,1), c(2,1));
case 2, code = sub2ind([M M N N], c(1,1), c(1,2), c(2,1), c(2,2));
case 3, code = sub2ind([M M M N N N], c(1,1), c(1,2), c(1,3), c(2,1), c(2,2), c(2,3));
% only implemented for up to 3 coordinates     
otherwise code = [];
end
NODELIST.index = [NODELIST.index code];
